@import "../shared/scss/color";

.container0{
  width: 100% !important;
  overflow: auto !important;
  overflow-y: none !important;
}

header {
  background-image: url("../../assets/images/home-header-image.png");
  background-size: 100% 100%;
  background-attachment: fixed;
  width: 100%;
  height: 100vh;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  position: relative;
  .header-filter {
    background-color: black;
    opacity: 0.5;
    width: 100%;
    height: 100%;
  }
  .header-middle-box {
    position: absolute;
    top: 50%;
    right: 50%;
    transform: translate(50%, -50%);
    width: 50%;
    transition: 0.2s all ease-in-out;
    .header-title {
      padding: 20px 0;
      text-align: center;
      color: $white-color;
      h2 {
        padding: 10px 0 20px 0;
      }
      p {
        padding-bottom: 70px;
        font-size: 14px;
      }
    }
  }
}

.main {
  background-color: $background-color;
  padding: 10px 0;
  width: 100% !important;
  .width {
    width: 85%;
    margin: auto;
  }
  .tab-box {
    display: flex;
    justify-content: space-around;
    padding: 10px 0;
    .tab {
      width: 24%;
      padding: 15px;
      font-size: 14px;
      font-weight: bold;
      text-align: center;
      border-radius: 5px;
      color: $black-color;
      cursor: pointer;
      transition: 0.2s ease-in-out all;
      border: 1px solid $background-color;
      .tab-img {
        width: 60px;
        height: 60px;
        margin: auto;
        img {
          width: 100%;
          height: 100%;
          margin: auto;
        }
      }
      .custom {
        img {
          width: 80%;
          height: 80%;
          margin: auto;
        }
      }
    }
  }
  .content-box {
    overflow: auto;
    padding: 10px 0 15px 0;
    .filter-box {
      overflow: auto;
      padding-bottom: 10px;
      .filter {
        float: left;
        width: 100%;
        overflow: auto;
        transition: 0.2s all ease-in-out;
        select {
          margin: 0 4px;
          background-color: white;
          border-radius: 5px;
          border: 1px solid gray;
          width: 150px;
          height: 28px;
          padding: 6px 10px;
          outline: none;
          color: $description-color;
          font-size: 12px;
          font-weight: bold;
          appearance: none;
          background-image: url("../../assets/images/angle_down.png");
          background-size: 15px 15px;
          background-repeat: no-repeat;
          background-position: 8px 50%;
          display: inline-block;
          float: left;
          transition: 0.2s all ease-in-out;
        }
      }
    }
    .content {
      margin: 10px 0 20px 0;
      div {
        border-radius: 7px;
        margin: auto;
        width: 50%;
        display: inline-block;
        transition: 0.2s all ease-in-out;
      }
    }
    a {
      float: right;
      text-decoration: none;
      padding: 7px 0;
      width: 120px;
      border: 1px solid gray;
      // color: $black-color;
      // background-color: white;
      border-radius: 5px;
      text-align: center;
      color: white;
      background-color: gray;
      span {
        font-size: 12px;
        padding: 0 2px;
      }
      fa-icon {
        padding: 0 2px;
        font-size: 14px;
      }
    }
  }
}

.about-us {
  width: 100%;
  padding: 20px 0 30px 0;
  margin: auto;
  background-color: white;
  div {
    padding: 20px;
    width: 70%;
    margin: 0 auto;
    background-image: url("../../assets/images/biology-laboratory-science-computer-icons-chemistry-science-png-clip-art.png");
    background-repeat: no-repeat;
    background-position: 100% 50px;
    background-size: 250px;
    text-align: center;
    transition: 0.2s all ease-in-out;
    h2 {
      padding: 10px 0 20px 0;
      font-size: 18px;
      font-weight: bold;
    }
    p {
      font-size: 14px;
      padding: 10px 0 10px 0;
    }
  }
}

.event-section {
  background-color: $background-color;
  overflow: auto;
  text-align: center;
  padding: 20px 0;

  h2 {
    padding: 20px 0;
    font-size: 18px;
    font-weight: bold;
  }
  .width {
    overflow: auto;
    width: 100%;
    margin: auto;
    position: relative;
    .right {
      display: inline-block;
      position: absolute;
      right: 100px;
      top: 50%;
      z-index: 9999;
      p {
        cursor: pointer;
        float: right;
        background-color: rgba($color: #000000, $alpha: 0.5);
        padding: 15px;
        border-radius: 50%;
        text-align: center;
        width: 60px;
        height: 60px;
        color: white;
        font-weight: bold;
        font-size: 26px;
        box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19),
          0 6px 6px rgba(0, 0, 0, 0.23);
        transition: 0.2s all ease-in-out;
        &:hover {
          background-color: rgba($color: #000000, $alpha: 0.4);
        }
      }
    }
    .left {
      display: inline-block;
      position: absolute;
      left: 100px;
      top: 50%;
      z-index: 9999;
      p {
        cursor: pointer;
        float: left;
        background-color: rgba($color: #000000, $alpha: 0.5);
        padding: 15px;
        border-radius: 50%;
        text-align: center;
        width: 60px;
        height: 60px;
        color: white;
        font-weight: bold;
        font-size: 26px;
        box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19),
          0 6px 6px rgba(0, 0, 0, 0.23);
        transition: 0.2s all ease-in-out;
        &:hover {
          background-color: rgba($color: #000000, $alpha: 0.4);
        }
      }
    }
    .gallery {
      position: relative;
      width: 85%;
      overflow: auto;
      text-align: center;
      margin: auto;
      background-color: inherit;
      transition: 0.2s all ease-in-out;

      .event-box {
        display: inline-block;
        width: 100%;
        margin: 10px 0;
        position: relative;
        height: 100%;
        .event {
          display: inline-block;
          width: 30%;
          padding: 10px;
        }
      }
    }
    // .more-btn{
    //     padding: 0 10px;
    //     overflow: auto;
    //     a{
    //         float: right;
    //         text-decoration: none;
    //         padding: 7px 15px;
    //         border: 1px solid gray;
    //         border-radius: 5px;
    //         text-align: center;
    //         color: white;
    //         background-color: gray;
    //         span{
    //             font-size: 12px;
    //             padding: 0 4px;
    //         }
    //         fa-icon{
    //             padding: 0 2px;
    //             font-size: 14px;
    //         }
    //     }
    // }
  }
}

.active {
  background-color: $white;
  // box-shadow: 1px 1px 4px #d1d1d1;
  border: 1px solid #d1d1d1;
}

.loader {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba($color: #000000, $alpha: 0.9);
  z-index: 999999;
  transition: 0.5s all;
}

@media (max-width: 1100px) {
  header {
    .header-middle-box {
      width: 60%;
    }
  }
  .gallery {
    width: 90% !important;
  }
}
@media (max-width: 900px) {
  header {
    .header-middle-box {
      width: 70%;
    }
  }
  .gallery {
    width: 95% !important;
  }
}

@media (max-width: 700px) {
  header {
    .header-middle-box {
      width: 80%;
    }
  }
  .gallery {
    width: 100% !important;
    .event {
      width: 80% !important;
    }
  }
}

@media (max-width: 600px) {
  .tab-box {
    display: block !important;
    .tab {
      width: 50% !important;
      display: inline-block !important;
    }
  }
  .content-box {
    width: 100% !important;
    .filter-box {
      width: 100% !important;
      .filter {
        display: block !important;
        float: none !important;
        margin: auto !important;
        width: 70% !important;
        select {
          width: 47% !important;
        }
      }
    }
    .content {
      div {
        width: 100% !important;
      }
    }
    a {
      display: block !important;
      float: none !important;
      margin: auto !important;
    }
  }
}

@media (max-width: 500px) {
  header {
    .header-middle-box {
      width: 90%;
    }
  }
  .content-box {
    .filter-box {
      .filter {
        width: 90% !important;
      }
    }
  }
  .gallery {
    .event {
      width: 90% !important;
    }
  }
  .about-us {
    div {
      width: 90% !important;
    }
  }
}

@media (max-width: 400px) {
  header {
    .header-middle-box {
      width: 90% !important;
    }
  }
  .content-box {
    .filter-box {
      .filter {
        width: 100% !important;
      }
    }
  }
}
